| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::FlutterView Class Reference

`#include <flutter_view.h>`

## Public Member Functions
| FlutterView (FlutterDesktopViewRef view)
virtual | ~FlutterView ()=default
| FlutterView (FlutterView const &)=delete
FlutterView & | operator= (FlutterView const &)=delete
HWND | GetNativeWindow ()
IDXGIAdapter * | GetGraphicsAdapter ()

## Detailed Description

Definition at line 16 of file flutter_view.h.

## Constructor & Destructor Documentation

## ◆ FlutterView() [1/2]

flutter::FlutterView::FlutterView | ( | FlutterDesktopViewRef | view | ) |
| inlineexplicit

Definition at line 18 of file flutter_view.h.

18 : view_(view) {}

## ◆ ~FlutterView()

virtual flutter::FlutterView::~FlutterView | ( |  | ) |
| virtualdefault

## ◆ FlutterView() [2/2]

flutter::FlutterView::FlutterView | ( | FlutterView const & |  | ) |
| delete

## Member Function Documentation

## ◆ GetGraphicsAdapter()

IDXGIAdapter* flutter::FlutterView::GetGraphicsAdapter | ( |  | ) |
| inline

Definition at line 31 of file flutter_view.h.

31 {
32 return FlutterDesktopViewGetGraphicsAdapter(view_);
33 }
FlutterDesktopViewGetGraphicsAdapter
IDXGIAdapter * FlutterDesktopViewGetGraphicsAdapter(FlutterDesktopViewRef view)
Definition: flutter_windows.cc:256

References FlutterDesktopViewGetGraphicsAdapter().

Referenced by flutter::TEST().

## ◆ GetNativeWindow()

HWND flutter::FlutterView::GetNativeWindow | ( |  | ) |
| inline

Definition at line 28 of file flutter_view.h.

28 { return FlutterDesktopViewGetHWND(view_); }
FlutterDesktopViewGetHWND
HWND FlutterDesktopViewGetHWND(FlutterDesktopViewRef view)
Definition: flutter_windows.cc:252

References FlutterDesktopViewGetHWND().

Referenced by flutter::TEST().

## ◆ operator=()

FlutterView& flutter::FlutterView::operator= | ( | FlutterView const & |  | ) |
| delete

The documentation for this class was generated from the following file:

- shell/platform/windows/client_wrapper/include/flutter/flutter_view.h